Skip to content
Start here

List Internal DNS Views

dns.settings.account.views.list(ViewListParams**kwargs) -> SyncV4PagePaginationArray[ViewListResponse]
GET/accounts/{account_id}/dns_settings/views

List DNS Internal Views for an Account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS View WriteDNS View Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
direction: Optional[Literal["asc", "desc"]]

Direction to order DNS views in.

One of the following:
"asc"
"desc"
match: Optional[Literal["any", "all"]]

Whether to match all search requirements or at least one (any). If set to all, acts like a logical AND between filters. If set to any, acts like a logical OR instead.

One of the following:
"any"
"all"
name: Optional[Name]
contains: Optional[str]

Substring of the DNS view name.

endswith: Optional[str]

Suffix of the DNS view name.

exact: Optional[str]

Exact value of the DNS view name.

startswith: Optional[str]

Prefix of the DNS view name.

order: Optional[Literal["name", "created_on", "modified_on"]]

Field to order DNS views by.

One of the following:
"name"
"created_on"
"modified_on"
page: Optional[float]

Page number of paginated results.

minimum1
per_page: Optional[float]

Number of DNS views per page.

maximum5000000
minimum1
zone_id: Optional[str]

A zone ID that exists in the zones list for the view.

zone_name: Optional[str]

A zone name that exists in the zones list for the view.

ReturnsExpand Collapse
class ViewListResponse:
id: str

Identifier.

maxLength32
created_time: datetime

When the view was created.

formatdate-time
modified_time: datetime

When the view was last modified.

formatdate-time
name: str

The name of the view.

maxLength255
minLength1
zones: List[str]

The list of zones linked to this view.

List Internal DNS Views

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.dns.settings.account.views.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_time": "2014-01-01T05:20:00.12345Z",
      "modified_time": "2014-01-01T05:20:00.12345Z",
      "name": "my view",
      "zones": [
        "372e67954025e0ba6aaa6d586b9e0b59"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_time": "2014-01-01T05:20:00.12345Z",
      "modified_time": "2014-01-01T05:20:00.12345Z",
      "name": "my view",
      "zones": [
        "372e67954025e0ba6aaa6d586b9e0b59"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}